HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

ov4vc cannot enable plugin ov4vc 8 & vcenter 6

V12
Occasional Advisor

ov4vc cannot enable plugin ov4vc 8 & vcenter 6

the plugin 8.0.1 is visable in thick client but cannot enable. this from my experiance is a firewall issue. but im using 8.0, so i dont think this would be an issue. the plugin not visable in web client either. rebooted vcenter & ov4vc. dont understand why this is so difficult, the install and config are straight forward. the appliance seems fine, was able to register vmware and a 3Par array

Using vsphere 6U2

7 REPLIES
V12
Occasional Advisor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

im actually a bit disapointed that these threads are not monitored more frequently to provide asnwers. 

ive reinstalled vcenter6.0a build 2656757 with same exact result. 

BB18001
Occasional Visitor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

You can try to reinstall OV4VC again. But before you install OV4VC, Pls log out Vsphere Web client. (Maybe use Vsphere client) After finish install OV4VC recehck plugin again on vsphere web client. If not show yet, try to restart vcenter web client again.

My OV4VC version is 8.0.1 and VMware ESX 6 u2

Hope it help. 

V12
Occasional Advisor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

i already tried that to install via thick client. all of this doesnt matter as the plugin does not show up under plugins in the web client, it does in thick but will not enable. i already went thru the documentation troublshooting steps! thanks anyway

Dennis Handly
Acclaimed Contributor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

>I'm actually a bit disapointed that these threads are not monitored more frequently to provide asnwers. 

 

This is a peer to peer forum, not an official HPE support site.
Have you tried contacting the HPESC?
http://h20565.www2.hpe.com/portal/site/hpsc

V12
Occasional Advisor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

i dont have HP support. in any case ive solved this

Edward L. Haletky
Valued Contributor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

Hello,

I use OV4VC 8.0.1 with vSphere 6.0 U2 and had some trouble as well... First off, 8.0.1 will NEVER show up in the thick client at all it is a web client only tool. So if you are seeing it in the web client, then it is not 8.0.1... I had to follow these steps to get it to work.

- Logoff all clients

- Go into the https://vcenterip/mob, login, select content, select ExtensionManager, expand the list, remove ANY HP or HPE extensions

- Go into your vcenter server and either restart the vsphere client (I use the VCSA, not sure if you are or not). If you do not know how to just restart the web-client then I suggest rebooting vCenter server itself. This will clear any information that is hanging on. For VCSA, login as root, use cmd: shell.set --enabled True, then cmd:  shell, then at the next prompt: service vsphere-client restart

- Login to your client of choice

- Deploy the OVA (I used the Thick Client but the Web-Client will work as well) and start the resultant VM

- After the VM boots wait about 1 minute, then go to https://ov4vcip/ui/index.html

- Setup the OV4VC system by providing the password, setup the Time server as appropriate, then use the drop down and select vCenters. Add your vCenter Server (be sure to use the FQDN or whatever your CERT says to use). Once this process completes...

- Logout (if you were using it) your web-client and log back in

- You should then be able to see 'HPE Management Administration' on the Home page under Administration. You need to finish the configuration from the Web Client

- Be sure your DPM settings do NOT include the iLO information else OV4VC will not pick up your servers/blades/etc.

Viola, it works but ONLY in the Web Client.

I had to add a Firefox extension named 'Ignore X-Frame-Options for the portlets to work.

It works for me with vCenter and my Storevirtual VSA(s)....

If these steps do not work, then you will have to open a support case with HPE as these worked for me. However, I am using vCenter 6.0 U2  appliance so you may want to go to that version of vCenter as well.

Best regards,

Edward L. Haletky

 

wagnerse
Regular Visitor

Re: ov4vc cannot enable plugin ov4vc 8 & vcenter 6

Check the NTP and timezone settings on ESXi, vCenter and OV4VC they have to be the all the same. We ran into that issue. After having correct time, the plugin loaded. Before that everything was "green" but plugin did not show up.